<!DOCTYPE html>
<html>

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta name="viewport"
    content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=no, target-densityDpi=device-dpi" />
  <title>Exemplo iframe on client-side</title>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css">
  <!-- jQuery library -->
  <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"></script>
  <!-- Latest compiled JavaScript -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js"></script>
  <style>
    .row>div {
      margin-bottom: 10px;
    }

    #bry-es-div {
      border: 2px dashed black;
      border-radius: 10px;
      padding: 5px;
    }

    ol#bry-es-event {
      max-height: 250px;
      overflow-y: scroll;
      scroll-snap-type: y proximity;
      border: 1px solid;
    }

    ol#bry-es-event>li:last-child {
      scroll-snap-align: end;
    }

    table,
    th,
    td {
      border: 1px solid black;
      border-collapse: collapse;
    }

    th,
    td:first-of-type {
      padding: 5px;
      text-align: center;
    }

    #json-entrada-valor,
    #json-saida-valor {
      word-wrap: break-word;
    }

    pre {
      margin: 0;
    }
  </style>
</head>

<body>
  <div class="container">
    <header class="header clearfix">
      <h2 class="text-muted">
        <img src="https://assinaturaeletronica.hom.bry.com.br/frame/v1/imgs/marca-signer-150dpi.png" style="width: 40px" />
        Exemplo de Preparação de Documento
      </h2>
    </header>
    <div class="row">
      <div class="col-md-12">
        <h3>1º Passo:</h3>
        <p>Faça upload do arquivo que deseja preparar assinatura e defina os nomes dos participantes.</p>
        <p>A lista de posições é opcional, para caso deseje editar posições pré-configuradas.</p>
        <form action="javascript:void(0);" id="dados-coleta">
          <div class="form-group">
            <div class="custom-file">
              <input type="file" class="custom-file-input" name="gedocs" multiple accept="application/pdf">
              <label class="custom-file-label" for="gedocs">Documento que deseja fazer upload.</label>
            </div>
          </div>
        </form>
        <div class="btn-group" data-toggle="buttons">
          <button data-target="#json-entrada" class="btn btn-outline-secondary" aria-expanded="true"
            aria-controls="collapseExample" data-toggle="collapse">
            Detalhes do JSON de
            entrada para configurar as posições
          </button>
        </div>
        <div class="collapse in" id="json-entrada" aria-expanded="true">
          <pre contenteditable="true" id="json-entrada-valor"></pre>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-12">
        <h3>2º Passo:</h3>
        <p>Clique no botão abaixo para enviar o participante e o documento.</p>
        <div style="text-align: center; padding: 10px;">
          <button onclick="PDFEditorScript.configurePDFEditor()" type="button" class="btn btn-lg btn-info">
            Configurar iframe!
          </button>
        </div>
        <div class="row">
          <div class="col-md-12">
            <div id="bry-es-div">
              <!-- es frame -->
              <iframe src="https://assinaturaeletronica.hom.bry.com.br/frame/v1/pdf-editor/" width="100%" height="800" frameborder="0"
                scrolling="yes" allow="geolocation" id="bry-es-frame" name="bryesframe">
              </iframe>
            </div>
          </div>
        </div>
        <div class="btn-group pt-2" data-toggle="buttons">
          <button data-target="#json-positions" class="btn btn-outline-secondary" aria-expanded="true"
            aria-controls="collapseExample" data-toggle="collapse">
            Saída Posição do desenho
            </a>
        </div>
        <div class="collapse show" id="json-positions" aria-expanded="true">
          <pre contenteditable="true" id="json-positions-valor"></pre>
        </div>
      </div>
    </div>
  </div>
  <footer>
    <div class="container">
      <hr />
      <p>&copy; 2021 BRy Tecnologia S.A</p>
    </div>
  </footer>
  <script src="js/jquery-3.2.1.min.js"></script>
  <script src="js/bootstrap.min.js"></script>
  <script src="js/script-customizavel-pdf-editor.js"></script>

  <!-- es script -->
  <script src="https://assinaturaeletronica.hom.bry.com.br/frame/v1/pdf-editor/js/bry-es-script.js"></script>

</body>

</html>